Bug 1323253 - libvoikko: Provide a Python 3 subpackage
libvoikko: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvoikko (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ville-Pekka Vainio
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-04-01 11:57 EDT by Tomas Orsava
Modified: 2018-08-03 15:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-08-03 15:19:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Orsava 2016-04-01 11:57:03 EDT
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Dominika Krejčí 2016-04-22 12:13:18 EDT
Hello Ville-Pekka,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 2 Ville-Pekka Vainio 2016-07-14 12:45:06 EDT
Sorry for the late answer, I have been quite inactive in Fedora lately.

Voikko has gone through major changes with the libvoikko 4.x release. With that release the python module will be Python 3 compatible. I will most probably switch to Python 3 in Rawhide when I get libvoikko 4.x built there. It will take some work, but I should be able to get it done by F25.
Comment 3 Tomas Orsava 2016-07-18 05:56:21 EDT
Hi Ville-Pekka!

Thank you for taking the time! We will look forward to it!
Comment 4 Jan Kurik 2016-07-26 01:11:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 5 Iryna Shcherbina 2017-11-08 09:43:48 EST
Since libvoikko 4.x release, there indeed were some significant changes and Malaga backend (dictionary format 2) is no longer enabled, and is replaced by HFST (dictionary format 3) and Finnish VFST (dictionary format 5) [0].

This means that starting version 4.x, libvoikko no longer requires `malaga-suomi-voikko`, but instead will require `voikko-fi` dictionary (in VFST format). The problem is voikko-fi is not yet packaged for Fedora, and until it is, libvoikko can not be updated to 4.x and ported to Python 3.

Ville-Pekka, are there any plans to package voikko-fi so this is unblocked?

[0] http://voikko.puimula.org/releases.html
Comment 6 Fedora End Of Life 2017-11-16 14:39:22 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-12-12 05:53:20 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Miro Hrončok 2017-12-12 07:14:04 EST
(In reply to Ville-Pekka Vainio from comment #2)
> Sorry for the late answer, I have been quite inactive in Fedora lately.
> 
> Voikko has gone through major changes with the libvoikko 4.x release. With
> that release the python module will be Python 3 compatible. I will most
> probably switch to Python 3 in Rawhide when I get libvoikko 4.x built there.
> It will take some work, but I should be able to get it done by F25.

This never happened.

Ville-Pekka, could you please orphan the package if you have no time to deal with it, to allow other interested parties to take over or let it be removed form Fedora?

See https://fedoraproject.org/wiki/Infrastructure/WhatHappenedToPkgdb#How_do_I_orphan_a_package.3F
Comment 9 Fedora End Of Life 2018-02-20 10:36:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.
Comment 10 Ville-Pekka Vainio 2018-08-03 15:19:22 EDT
Fixed in https://koji.fedoraproject.org/koji/taskinfo?taskID=28820455

Note You need to log in before you can comment on or make changes to this bug.